/**
 * 拆分返回结果配置
 * 使用场景：逻辑层中需要返回数据给客户端的地方
 * 限制：使用端不同不能共用一份配置
 */


/**
 * 使用端:   管理后台
 * 场景:     孵化器基础数据列表
 * 备注:     导出和列表共用一份配置
 */
export const FuHuaQiBaseListConfig = {
    name:{key:"名称"},
    operationName:{key:"运营机构名称  不可修改"},
    uscc:{key:"统一信用代码 也是登录账号 不可修改"},
    virtualEnterpriseNum:{key:"虚拟企业数量"},
    logonTime:{key:"注册时间", changeDate:true},
    incubatedAcreage:{key:"在孵面积(㎡)"},
    acreageTotal:{key:"孵化器总面积(㎡)"},
    acreagePersonalUse:{key:"孵化器自用面积(㎡)"},
    lv:{key:"孵化器级别"},
    identificationTime:{key:"认定时间", changeDate:true},
    industry:{key:"领域[]"},
    institutionalNature:{key:"机构性质"},
    liaison:{key:"联系人"},
    liaisonPhone:{key:"联系电话"},
    personInCharge:{key:"负责人"},
    personInChargePhone:{key:"负责人联系电话"},
    hatchingGround:{key:"经备案孵化场地"},
    foundingTeam:{key:"创业团队"},
    operationModel:{key:"运营模式"},
    foundingTeamType:{key:"创业团队类型"}
};


/**
 * 使用端:   小程序端【孵化器入口】
 * 场景:     添加新注册企业信息
 * 备注:     回显
 */
export const EnterpriseInfoConfig = {
    draftId:{key:"草稿箱id"},
    name:{key:"企业名称"}, //
    uscc:{key:"统一信用代码"}, //
    industry:{key:"领域"},//
    logonTime:{key:"注册时间", changeDate:true},//
    firstIncubationTime:{key:"首次入孵时间", changeDate:true},//
    isNaturalPersonHolding:{key:"是否自然人控股企业"},//
    logonAdd:{key:"注册地址"},//
    operatingAdd:{key:"经营地址"},//
    leasedArea:{key:"租赁面积（平方米）"},
    mainBusiness:{key:"主营业务"},//主营业务
};


/**
 * 使用端:   小程序端【孵化器入口】
 * 场景:     添加迁入企业信息
 * 备注:     回显
 */
export const EnterpriseMoveInInfoConfig = {
    draftId:{key:"草稿箱id"},
    name:{key:"企业名称"}, //
    uscc:{key:"统一信用代码"}, //
    industry:{key:"领域"},//
    logonTime:{key:"注册时间", changeDate:true},//
    firstIncubationTime:{key:"首次入孵时间", changeDate:true},//
    isNaturalPersonHolding:{key:"是否自然人控股企业"},//
    logonAdd:{key:"注册地址"},//
    operatingAdd:{key:"经营地址"},//
    leasedArea:{key:"租赁面积（平方米）"},
    timeOfImmigration:{key:"迁入时间", changeDate:true},//
    oldLogonAdd:{key:"迁入前注册地址"},//
    mainBusiness:{key:"主营业务"},//主营业务
};



/**
 * 使用端:   小程序端【孵化器入口】
 * 场景:     企业融资信息
 * 备注:     回显
 */
export const EnterpriseFinancingInfoConfig = {
    uscc:{key:"统一信用代码"},//
    name:{key:"企业名称"},//
    logonAdd:{key:"注册地址"},//
    operatingAdd:{key:"经营地址"},//
    financingAmount:{key:"融资金额(万元)"},//
    investmentInstitutionsName:{key:"投资机构名称"},//
    timeToObtainInvestment:{key:"获得投资时间", changeDate:true},//
    fuHuaQiInvestment:{key:"孵化器是否投资"},
    fuHuaQiInvestmentAmount:{key:"孵化器投资金额(万元)"},//
    fuHuaQiInvestmentStyle:{key:"孵化器投资方式"},//
    financingRounds:{key:"融资轮次"}
};


/**
 * 使用端:   管理后台
 * 场景:     在孵企业列表
 * 备注:     导出和列表共用一份配置
 */
export const EnterpriseListConfig = {
    name:{key:"企业名称"},
    createTime:{key:"入库时间 不可修改", changeDate:true},
    fuhuaqiUscc:{key:"孵化器统一信用代码 不可修改 这里显示运营机构的名称"},
    uscc:{key:"统一信用代码 也是登录账号 不可修改"},
    industry:{key:"行业领域[] 最多 选择三个"},
    logonTime:{key:"注册时间", changeDate:true},
    firstIncubationTime:{key:"首次入孵时间", changeDate:true},
    timeOfImmigration:{key:"迁入时间", changeDate:true},
    isNaturalPersonHolding:{key:"是否自然人控股"},
    oldLogonAdd:{key:"迁入前注册地址"},
    logonAdd:{key:"注册地址"},
    operatingAdd:{key:"经营地址"},
    leasedArea:{key:"租赁面积（平方米）"},
    isCreate:{key:"新注册/新迁入"},
    mainBusiness:{key:"主营业务"},//主营业务
};


/**
 * 使用端:   管理后台
 * 场景:     企业融资信息列表
 * 备注:     导出和列表共用一份配置
 */
export const FinancingListConfig = {
    uscc:{key:"企业统一信用代码"},
    name:{key:"企业名称"},
    logonAdd:{key:"注册地址"},
    operatingAdd:{key:"经营地址"},
    financingAmount:{key:"融资金额(万元)"},
    investmentInstitutionsName:{key:"投资机构名称"},
    timeToObtainInvestment:{key:"获得投资时间", changeDate:true},
    fuHuaQiInvestment:{key:"孵化器是否投资"},
    fuHuaQiInvestmentAmount:{key:"孵化器投资金额(万元)"},
    fuHuaQiInvestmentStyle:{key:"孵化器投资方式"},
    createTime:{key:"录入时间 不可修改", changeDate:true},
    industry:{key:"行业领域[] 最多 选择三个"},
    logonTime:{key:"注册时间", changeDate:true},
    financingRounds:{key:"融资轮次"}
}


/**
 * 使用端:   管理后台
 * 场景:     账号信息列表
 * 备注:     
 */
export const FuHuaQiListConfig = {
    operationName:{key:"运营机构名称 不可修改"},
    uscc:{key:"营业执照"},
    liaison:{key:"联系人"},
    liaisonPhone:{key:"负责人"},
    personInChargePhone:{key:"负责人联系电话"},
    userState:{key:"账号状态"}
}


/**
 * 使用端:   小程序端【孵化器入口】
 * 场景:     孵化器月度报表
 * 备注:     回显
 */
export const MonthConfig = {
    name:{key:"任务名称"},
    occupancyRate:{key:"出租率"},
}


/**
 * 使用端:   小程序端【孵化器入口】
 * 场景:     主界面基础数据
 * 备注:     
 */
export const FuHuaQiHomeDataConfig = {
    incubatedAcreage:{key:"在孵面积"},
    acreageTotal:{key:"孵化器总面积"},
    acreagePersonalUse:{key:"孵化器自用面积"},
    name:{key:"名称"},
    lv:{key:"孵化器级别"},
    institutionalNature:{key:"机构性质"}
}


/**
 * 使用端:   小程序端【孵化器入口】
 * 场景:     孵化器详细数据
 * 备注:     回显
 */
export const FuHuaQiBaseDataConfig = {
    virtualEnterpriseNum:{key:"虚拟企业数量"},
    incubatedAcreage:{key:"在孵面积"},
    acreageTotal:{key:"孵化器总面积"},
    acreagePersonalUse:{key:"孵化器自用面积"},
    hatchingGround:{key:"经备案孵化场地"}
}


/**
 * 使用端:   小程序端【孵化器入口】
 * 场景:     机构信息数据
 * 备注:     回显
 */
export const OrganizationBaseDataConfig = {
    name:{key:"名称"},
    operationName:{key:"运营机构名称"},
    uscc:{key:"统一信用代码"},
    logonTime:{key:"注册时间", changeDate:true},
    lv:{key:"孵化器级别"},
    identificationTime:{key:"认定时间", changeDate:true},
    industry:{key:"孵化领域"},
    institutionalNature:{key:"机构性质"},
    operationModel:{key:"运营模式"},//新加
    foundingTeam:{key:"创始团队"},//新加
    liaison:{key:"联系人"},
    liaisonPhone:{key:"联系电话"},
    personInCharge:{key:"负责人"},
    personInChargePhone:{key:"负责人联系电话"},
    operationModelDes:{key:"运营模式描述"}
    // hatchingGround:{key:"经备案孵化场地"}
}